#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for reading and writing optical discs
Summary(pl.UTF-8):	Biblioteka służąca do odczytywania i zapisywania dysków optycznych
Name:		libburn
Version:	1.2.4
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://files.libburnia-project.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	25b45b1ccf6921a5bce4e2d88f55a81f
URL:		http://libburnia.pykix.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libburn is an open-source library for reading, mastering and writing
optical discs.

%description -l pl.UTF-8
Libburn jest wolnodostępną biblioteką służącą do odczytywania,
zarządzania i zapisywania dysków optycznych.

%package devel
Summary:	Header files for libburn library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libburn
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libburn library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libburn.

%package static
Summary:	Static libburn library
Summary(pl.UTF-8):	Statyczna biblioteka libburn
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libburn library.

%description static -l pl.UTF-8
Statyczna biblioteka libburn.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTORS COPYRIGHT ChangeLog README
%attr(755,root,root) %{_bindir}/cdrskin
%attr(755,root,root) %{_libdir}/libburn.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libburn.so.4
%{_mandir}/man1/cdrskin.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libburn.so
%{_libdir}/libburn.la
%{_includedir}/libburn
%{_pkgconfigdir}/libburn-1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libburn.a
%endif
%changelog
* Sat Jul 21 2012 Łukasz Kieś <kiesiu@pld-linux.org> 295db3d
- updated to 1.2.4

* Tue Apr 03 2012 Łukasz Kieś <kiesiu@pld-linux.org> fb69055
- updated to 1.2.2

* Mon Jan 30 2012 Łukasz Kieś <kiesiu@pld-linux.org> 7d62105
- updated to 1.2.0

* Tue Nov 22 2011 Łukasz Kieś <kiesiu@pld-linux.org> 86c3eef
- updated to 1.1.8

* Tue Oct 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 3b28d41
- updated to 1.1.6

* Wed Aug 10 2011 Jakub Bogusz <qboosh@pld-linux.org> d85ce04
- updated to 1.1.4

* Tue Jun 21 2011 Jakub Bogusz <qboosh@pld-linux.org> a548161
- updated to 1.1.0.pl01

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 43d1d4e
- updated to 1.0.6.pl00

* Fri Mar 11 2011 Jakub Bogusz <qboosh@pld-linux.org> f6bf018
- updated to 1.0.4.pl00

* Fri Feb 25 2011 Jakub Bogusz <qboosh@pld-linux.org> ab5ce92
- updated to 1.0.2.pl00

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 20304ff
- BR: pkgconfig

* Mon Jan 17 2011 Jakub Bogusz <qboosh@pld-linux.org> d42a253
- updated to 1.0.0.pl00

* Thu Dec 09 2010 Jakub Bogusz <qboosh@pld-linux.org> 0a94b14
- updated to 0.9.0.pl00

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> ef3a5cc
- package ChangeLog

* Thu Oct 21 2010 Caleb Maclennan <caleb@alerque.com> 2773caa
- Up to 0.8.8-pl00

* Wed Jun 10 2009 amateja <amateja@pld-linux.org> 9694c44
- updated to 0.6.6

* Tue Jun 09 2009 amateja <amateja@pld-linux.org> 90c1267
- updated to 0.6.4.pl00

* Sat Feb 28 2009 duddits <duddits@pld-linux.org> cd32c5f
- up to 0.6.2.pl00

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> a7056b0
- updated to 0.5.2.pl00

* Fri Jul 11 2008 Jakub Bogusz <qboosh@pld-linux.org> 4873edf
- updated to 0.4.8.pl00

